/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kiwi.client.nibctrl;

import org.cocktail.kiwi.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class PaiementSansFraisView extends javax.swing.JPanel {


    /** Creates new form TemplateJPanel */
    public PaiementSansFraisView() {
        
        initComponents();
        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel5 = new javax.swing.JLabel();
        tfCodeAnalytique = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfConvention = new javax.swing.JTextField();
        btnGetCodeAnalytique = new javax.swing.JButton();
        btnGetConvention = new javax.swing.JButton();
        btnDelCodeAnlaytique = new javax.swing.JButton();
        btnDelConvention = new javax.swing.JButton();

        setPreferredSize(new java.awt.Dimension(780, 449));

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Code Analytique :");

        tfCodeAnalytique.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Convention : ");

        tfConvention.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        btnGetCodeAnalytique.setToolTipText("Sélection d'un code analytique");

        btnGetConvention.setToolTipText("Sélection d'une convention");

        btnDelCodeAnlaytique.setToolTipText("Suppression du code analytique");

        btnDelConvention.setToolTipText("Suppression de la convention");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(119, 119, 119)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfConvention, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 388, Short.MAX_VALUE)
                    .add(tfCodeAnalytique, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 388, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnGetCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnDelCodeAnlaytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(122, 122, 122))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(45, 45, 45)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(25, 25, 25)
                        .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnDelCodeAnlaytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(25, 25, 25)
                        .add(btnGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel10))))
                .addContainerGap(35, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDelCodeAnlaytique;
    private javax.swing.JButton btnDelConvention;
    private javax.swing.JButton btnGetCodeAnalytique;
    private javax.swing.JButton btnGetConvention;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JTextField tfCodeAnalytique;
    private javax.swing.JTextField tfConvention;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
            
    	btnGetCodeAnalytique.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnGetConvention.setIcon(CocktailIcones.ICON_SELECT_16);

    	btnDelCodeAnlaytique.setIcon(CocktailIcones.ICON_DELETE);
    	btnDelConvention.setIcon(CocktailIcones.ICON_DELETE);

    }



	public javax.swing.JButton getBtnDelCodeAnlaytique() {
		return btnDelCodeAnlaytique;
	}


	public void setBtnDelCodeAnlaytique(javax.swing.JButton btnDelCodeAnlaytique) {
		this.btnDelCodeAnlaytique = btnDelCodeAnlaytique;
	}


	public javax.swing.JButton getBtnDelConvention() {
		return btnDelConvention;
	}


	public void setBtnDelConvention(javax.swing.JButton btnDelConvention) {
		this.btnDelConvention = btnDelConvention;
	}


	public javax.swing.JButton getBtnGetCodeAnalytique() {
		return btnGetCodeAnalytique;
	}


	public void setBtnGetCodeAnalytique(javax.swing.JButton btnGetCodeAnalytique) {
		this.btnGetCodeAnalytique = btnGetCodeAnalytique;
	}


	public javax.swing.JButton getBtnGetConvention() {
		return btnGetConvention;
	}


	public void setBtnGetConvention(javax.swing.JButton btnGetConvention) {
		this.btnGetConvention = btnGetConvention;
	}


	public javax.swing.JTextField getTfCodeAnalytique() {
		return tfCodeAnalytique;
	}


	public void setTfCodeAnalytique(javax.swing.JTextField tfCodeAnalytique) {
		this.tfCodeAnalytique = tfCodeAnalytique;
	}


	public javax.swing.JTextField getTfConvention() {
		return tfConvention;
	}


	public void setTfConvention(javax.swing.JTextField tfConvention) {
		this.tfConvention = tfConvention;
	}



    
}
